This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 436757 - snd_device_name_hint() doesn't always include names of user defined pcms
snd_device_name_hint() doesn't always include names of user defined pcms
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
8
All Linux
high Severity high
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
https://bugtrack.alsa-project.org/als...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-10 06:31 EDT by Jay Turner
Modified: 2015-01-07 19:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:42:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
ALSA Project 3835 None None None Never

  None (edit)
Description Lubomir Kundrak 2008-03-10 06:31:53 EDT
Description of problem:

Let's say I have the following configuration:

pcm.pulse {
    type pulse
    hint.description "PulseAudio Sound Server"
}

Since this has a description it should be listed in alsa -L output.
But in case I have no physical sound hardware id doesn't.

Version-Release number of selected component (if applicable):

alsa-lib-1.0.16-2.fc9

Steps to Reproduce:
1. Copy the configuration above into your ALSA configuration
2. Remove the sound modules
3. Issue a "aplay -L"
  
Actual results:


Expected results:

pulse
    PulseAudio Sound Server

Additional info:

This is where the pulse device gets dragged into the list if I have a sound card:

(gdb) bt
#0  hint_list_add (list=0x7fff3b066370, name=0x61c340 "pulse",
description=0x615460 "PulseAudio Sound Server") at namehint.c:52
#1  0x00002aaaaab03f0b in try_config (list=0x7fff3b066370, base=0x4093c1 "pcm",
name=<value optimized out>) at namehint.c:378
#2  0x00002aaaaab0458c in add_card (list=0x7fff3b066370, card=0) at namehint.c:457
#3  0x00002aaaaab04846 in snd_device_name_hint (card=0, iface=<value optimized
out>, hints=0x7fff3b066450) at namehint.c:552
#4  0x00000000004042f2 in pcm_list () at aplay.c:272
#5  0x0000000000408c66 in main (argc=2, argv=0x7fff3b0666f8) at aplay.c:558
#6  0x0000003d3a61e074 in __libc_start_main (main=0x408530 <main>, argc=2,
ubp_av=0x7fff3b0666f8, init=<value optimized out>, fini=<value optimized out>, 
    rtld_fini=<value optimized out>, stack_end=0x7fff3b0666e8) at libc-start.c:220
#7  0x00000000004030f9 in _start ()
(gdb) 

alsa-lib-1.0.16/src/control/namehint.c:

451                 if (err < 0) {
452                         list->device = -1;
453                         err = try_config(list, list->siface, str);
454                 }
455                 if (err < 0) {
456                         list->card = -1;
457                         err = try_config(list, list->siface, str);
458                 }

Why is that try_config() called there without any relation to the card specified
when calling add_card(), but rather overriding it with -1 (meaning "any"?)?
Wouldn't it make more sense if it was called from snd_device_name_hint()
regerdless of existence of a physical sound card?

Setting priority to high since snd_device_name_hint() is about the only sane way
to get list of pcms, and since Fedora 8 our default sound device isn't a
physical ALSA device. Please correct me if I am wrong. Thanks!
Comment 2 Bug Zapper 2008-11-26 05:06:15 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 02:42:54 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.